package inria.paperoles.customization;

import java.util.Vector;

import org.ximtec.igesture.algorithm.AlgorithmException;
import org.ximtec.igesture.core.Result;
import org.ximtec.igesture.core.ResultSet;

import edu.umd.cs.piccolo.PCamera;
import inria.paperoles.gestures.recognition.FakeGestureClass;
import inria.paperoles.gestures.recognition.GeneralizedGestureClass;
import inria.paperoles.ui.GestureBrowser;
import inria.paperoles.ui.GesturePath;
import inria.paperoles.ui.ScoreViewer;

public class GestureRecognitionCommand extends GestureManipulationCommand{

	public GestureRecognitionCommand(GesturePath gesture) {
		super("Recognize", gesture);
	}
	
	/// i may have to change that... to show a warning first... although the action could be undone so no worries...
	public void activate(Object context){

		GestureBrowser gbrowser =			
			(GestureBrowser)((ScoreViewer)((PCamera)gesture.getRoot().getChild(0)).getComponent()).getTopLevelAncestor();
		
		try {
			gbrowser.getRecognitionManager().recognizeGesture(gesture);
		} catch (AlgorithmException e) {
			//e.printStackTrace();
		}

	}
}
