package inria.paperoles.data;

import java.io.File;

public class PenDataEntry {

	String scoreFile; //Pdf file
	String penDataFile;
	
	String[] splitEntry;
	
	public PenDataEntry(String xmlFile){
		penDataFile = xmlFile;
		
		splitEntry = xmlFile.split("_");
	}
	
	public String getFileName(){
		return penDataFile;
	}
	
	public String getScoreFile(){
		return scoreFile;
	}
	
	public void linkWithScoreFile(String scoreFile){
		this.scoreFile = scoreFile;
	}
	
	public String getDate(){
		return splitEntry[2] + "-" + splitEntry[1] + "-" + splitEntry[0];
	}
	
	public String getTime(){
		return splitEntry[4] + ":" + splitEntry[5] + ":" + splitEntry[6];
	}
}
