package inria.paperoles.grammar;

import inria.paperoles.operations.Operation;

public class Connection implements Comparable{
	
	Token source, connected;
	Token token1, token2;
		
	public Connection(Token tok1, Token tok2){
		if(tok1.getRoot()!=null) source = tok1.getRoot();
		if(tok2.getRoot()!=null) connected = tok2.getRoot();
		
		token1 = tok1;
		token2 = tok2;
	}
	
	
	public boolean equals(Object o){
		if(connected == ((Connection)o).connected) return true;
		else return false;
	}
	
	
	int getConnectionLevel(){
		return 1;
	}

	
	public int compareTo(Object o) {
		if(equals(o)) return 0;
		Connection con2 = (Connection)o;
	
		/*
		if(!(connected instanceof GroupingGesture) && con2.connected instanceof GroupingGesture)
			return -1;
		else if(connected instanceof GroupingGesture && !(con2.connected instanceof GroupingGesture))
			return 1;
		else if(connected instanceof GroupingGesture && connected.getOperation() !=null && con2.connected.getOperation() == null)
			return 1;
		else if(connected instanceof GroupingGesture && connected.getOperation() ==null && con2.connected.getOperation() != null)
			return -1;
		else if(con2 instanceof WeakConnection && !(this instanceof WeakConnection))
			return -1;
		else if(!(con2 instanceof WeakConnection) && this instanceof WeakConnection)
			return 1;
		else if(this instanceof WeakConnection) {
			if(((WeakConnection)this).getTimestamp() < ((WeakConnection)con2).getTimestamp())
				return -1;
			else return 1;
		}
		else if(this instanceof TouchingConnection) return -1;
		else*/
		if(connected.getFirstStroke().getBounds().getX() <= con2.connected.getFirstStroke().getBounds().getX())
			return -1;
		else return 1;
	}
	
	public String toString(){
		return "=>" + connected.getClass();
	}
	
}
