package inria.paperoles.scoping;

public class ScopeConstraint {

	boolean up = true, down = true, left = true, right = true;	
	boolean verticalAxis = false;
	boolean horizontalAxis = false;
 
	public ScopeConstraint(){
	}
	
	public boolean up(){
		return true;
	}
	
	public boolean down(){
		return down;
	}
	
	public boolean left(){
		return left;
	}
	
	public boolean right(){
		return right;
	}
	
	public boolean hasVerticalAxis(){
		return verticalAxis;
	}
	
	public boolean hasHorizontalAxis(){
		return horizontalAxis;
	}	
	
	public void setFullConstraints(){
		up = down = left = right = false;
	}
	
	public void setUpConstraint(){
		up = true;
	}
	
	public void setDownConstraint(){
		down = true;
	}
	
	public void setLeftConstraint(){
		left = true;
	}
	
	public void setRightConstraint(){
		right = true;
	}
	
	public void setHorizontalAxis(){
		horizontalAxis = true;
	}
	
	public void setVerticalAxis(){
		verticalAxis = true;
	}	
}
