package inria.paperoles.tabletsupport;

public class DrawnPoint {

	float x, y;
	long time;
	
	// pressure
	int f = 100;
	
	public DrawnPoint(float x, float y){
		this.x = x;
		this.y = y;
		this.time = System.currentTimeMillis();
	}
	
	public float getX(){
		return x;
	}
	
	public float getY(){
		return y;
	}
	
	public long getTime(){
		return time;
	}
	
	public int getForce(){
		return f;
	}
	
	public String toString(){
		return "<p x=\"" + x + "\" y=\"" + y + "\" f=\"" + f + "\" t=\"" + time + "\" />"; 
	}
}
