package inria.paperoles.ui;

import inria.paperoles.uievents.GraphButtonEventHandler;

import java.awt.Color;

import javax.swing.JFrame;

import edu.umd.cs.piccolo.event.PInputEvent;
import edu.umd.cs.piccolo.event.PInputEventListener;
import edu.umd.cs.piccolo.nodes.PPath;

public class GraphsBar extends PPath {

	final static int OFF_Y = 200;
	final static int OFF_X = 35;
	final static int GAP = 4;
	
	double offx;
	
	GraphButtonEventHandler buttonHandler;
	ScoreViewer viewer;
	
	public GraphsBar(ScoreViewer viewer, double w, double h){
		super();
	
		offx = w - OFF_X - GAP;
		
		buttonHandler = new GraphButtonEventHandler();
		this.viewer = viewer;
		
//		addGraph(null);
//		addGraph(null);
	}
	
	public void addGraph(ScoreViewer graphViewer){
		double offy = OFF_Y + getChildrenCount()*(OFF_X + GAP);
		
		GraphButton gbutton = new GraphButton(graphViewer, offx, offy, OFF_X, OFF_X);
		graphViewer.addButton(viewer, gbutton);
		
		addChild(gbutton);
		
		gbutton.addInputEventListener(buttonHandler);
	}

	public void addSeparator(){		
		addChild(new PPath());
	}

}
