package inria.paperoles.ui;

import inria.paperoles.data.DataDispatcher;
import inria.paperoles.data.DataHistory;
import inria.paperoles.data.PenDataEntry;
import inria.paperoles.gestures.InkEventHandler;
import inria.paperoles.operations.Operation;

import java.awt.BorderLayout;
import java.awt.Canvas;
import java.awt.Component;
import java.awt.Dimension;
import java.awt.Font;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.net.URL;
import java.net.URLConnection;
import java.util.SortedMap;
import java.util.SortedSet;
import java.util.TreeSet;
import java.util.Vector;

import javax.swing.JDialog;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JList;
import javax.swing.JScrollPane;
import javax.swing.JTextArea;
import javax.swing.JToolBar;

import edu.umd.cs.piccolo.PCanvas;

import papertoolkit.pen.synch.BatchedDataDispatcher;

public class OutputWindow extends JDialog{
	
	final static int NORMAL_WIDTH = 400;
	final static int NORMAL_HEIGHT = 200;
	
	JTextArea text;
	JScrollPane scrollPane;
	
	public OutputWindow(JFrame parent, int x, int y){
		super(parent, "Output");
		setBounds(x, y, NORMAL_WIDTH, NORMAL_HEIGHT);
		
		text = new JTextArea();	
		text.setFont(new Font("Courier", Font.PLAIN, 12));
		text.setEditable(false);
		scrollPane = new JScrollPane(text, JScrollPane.VERTICAL_SCROLLBAR_AS_NEEDED, JScrollPane.HORIZONTAL_SCROLLBAR_AS_NEEDED);
		    		
		getContentPane().add(scrollPane);    
		setVisible(false);
	}
	
	
	public void dispose(){
		
	}

	public void printMessage(String name, Vector<Object> param) {
		text.append("\"" + name + "\"");
		for(Object o:param){
			if(o instanceof String) text.append(" \"" + o + "\"");
			else text.append(" " + o);
		}
		
		text.append("\n");
	}
	
/*	public void printCommand(GesturePath gesture) {
		text.append(gesture.getToken().getScopeInfo() + "\n");
	}
*/
	

}
