package inria.paperoles.docmodel;

import java.awt.geom.Line2D;
import java.awt.geom.Rectangle2D;
import java.util.Collection;

public interface SymbolGroup {

	public Rectangle2D getBounds();
	public Line2D getCentralSkeleton();
	public Collection<Symbol> getSymbols();
	
	public SymbolGroup getParentGroup(Constraint constraint);

	public void addSubgroup(Constraint constraint);
	public void addSymbol(Constraint constraint);
}
