package inria.paperoles.grammar;

public class AssociatedComplexGesture extends ComplexGesture {

	ComplexGesture selectors;
	
	public AssociatedComplexGesture(Token markedToken) {
		super();
		
		selectors = new ComplexGesture();
		addToken(selectors);
		addToken(markedToken);
	}

	public void addSelector(SelectorToken selector){
		selectors.addToken(selector);
	}
	
	public String toString(){
		String str = ""+getClass();
		for(Token t:tokens)
			str +="\n\t" + t.toString();
		
		return str;
	}
	

}
