package inria.paperoles.scoremodel;

import inria.paperoles.docmodel.Symbol;
import inria.paperoles.gestures.GeneralInkStroke;
import inria.paperoles.scoping.ExtendedShape;

import java.awt.Shape;
import java.util.Collection;
import java.util.Iterator;
import java.util.Vector;

public class MultiplePageSkeleton extends Vector<ScoreSkeleton>{

	public MultiplePageSkeleton(){
		
	}
	
	public void addPageSkeleton(ScoreSkeleton skeleton){
		add(skeleton);
	}

	String sourceID;
	
	
	public void setSource(String source) {
		sourceID = source;
	}
	
	public String getSource(){
		return sourceID;
	}

	public void clean() {
		for(ScoreSkeleton skeleton:this){
			skeleton.clean();
		}
		
	}
	
}
