package inria.paperoles.ui;

import java.util.Hashtable;

public class PaperTemplates extends Hashtable<String, PaperTemplate> {
	
	PaperTemplate defaultTemplate;
	
	public PaperTemplates(){
		super();
	}
	
	public PaperTemplate addTemplate(String line){
		PaperTemplate template = new PaperTemplate(line);
		
		put(template.id, template);
		if(template.isDefault) defaultTemplate = template;
		
		
		return template;
	}

	public PaperTemplate getTemplate(String id){
		return get(id);
	}
	
	public PaperTemplate getDefaultTemplate(){
		if(defaultTemplate != null)
			return defaultTemplate;
		else if(!isEmpty()) return elements().nextElement();
		else return null;
	}
	
}



