package inria.paperoles.ui;

import java.awt.BasicStroke;
import java.awt.Rectangle;
import java.awt.Shape;
import java.awt.geom.Rectangle2D;

import edu.umd.cs.piccolo.nodes.PPath;

public class RectangularScopeInteractor extends PPath implements ScopeInteractor{

	float []DASH_PATTERN = {1, 1, 0};
		
	public RectangularScopeInteractor(Rectangle rect){
		setPathTo(rect);
		
		setStroke(new BasicStroke(2, BasicStroke.CAP_BUTT, BasicStroke.JOIN_MITER, 1.0f, 
				DASH_PATTERN, 0));
	}
	
	public RectangularScopeInteractor(Shape shape){
		this(shape.getBounds());
	}
	
}
